### A free/open-source library for quantitative finance

Public Member Functions
SimpleCashFlow Class Reference

Predetermined cash flow. More...

`#include <ql/cashflows/simplecashflow.hpp>`

Inheritance diagram for SimpleCashFlow:
[legend]

List of all members.

## Public Member Functions

| SimpleCashFlow (Real amount, const Date &date)
Event interface
Date | date () const
CashFlow interface
Real | amount () const
| returns the amount of the cash flow
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Predetermined cash flow.

This cash flow pays a predetermined amount at a given date.

## Member Function Documentation

Date date | ( |  | ) | const`[virtual]`

Note:
  This is inherited from the event class

Implements CashFlow.

Real amount | ( |  | ) | const`[virtual]`

returns the amount of the cash flow

Note:
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements CashFlow.